POST Api/Authentication/Login

Make Login into the API

URI Example

POST Api/Authentication/Login

URI Parameters

None.

Body Parameters

LoginBinding object

LoginBinding
NameDescriptionTypeAdditional information
Username

The User Username

string

Required

Password

The User Password

string

Required

Data type: Password

ClientId

The Client Aplication Identification

string

Required

ClientSecret

The Client Aplication Secret(Only for non-web applications)

string

None.

Request Formats

application/json, text/json, application/hal+json
  • {
      "username": "sample string 1",
      "password": "sample string 2",
      "clientId": "sample string 3",
      "clientSecret": "sample string 4"
    }
    

Resource Description

The AccessTokenResource whith all the information needed to make calls to the API

AccessTokenResource
NameDescriptionTypeAdditional information
AccessToken

The Token

string

None.

TokenType

The Token Type

string

None.

ExpiresIn

The Token Expires In

integer

None.

UserName

The current UserName

string

None.

ClientId

The current ClientId

string

None.

RefreshToken

The current RefreshToken

string

None.

Issued

The Token Issued

string

None.

Expires

The Token Expires

string

None.

_links

Dictionary of string [key] and Link [value]

None.

_embedded

Dictionary of string [key] and Object [value]

None.

Response Formats

application/json, text/json, application/hal+json
  • {
      "_links": {
        "sample string 1": {
          "href": "sample string 1",
          "method": "sample string 2",
          "rel": [
            "sample string 1",
            "sample string 2"
          ]
        },
        "sample string 2": {
          "href": "sample string 1",
          "method": "sample string 2",
          "rel": [
            "sample string 1",
            "sample string 2"
          ]
        }
      },
      "accessToken": "sample string 1",
      "tokenType": "sample string 2",
      "expiresIn": 3,
      "userName": "sample string 4",
      "clientId": "sample string 5",
      "refreshToken": "sample string 6",
      "issued": "sample string 7",
      "expires": "sample string 8",
      "_embedded": {
        "sample string 1": {},
        "sample string 3": {}
      }
    }